List maintenance windows
curl --request GET \
--url https://{domain}/api/application/modules/status/maintenances \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/status/maintenances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/status/maintenances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/status/maintenances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/status/maintenances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/status/maintenances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/status/maintenances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 10,
"title": "Network upgrade",
"description": "Core switches are upgraded. Expect two short interruptions.",
"status": "scheduled",
"state": "upcoming",
"impact": "minor",
"starts_at": "2026-11-18T02:00:00Z",
"ends_at": "2026-11-18T04:00:00Z",
"affects_all_components": false,
"components": [
{
"id": 1,
"label": "Game servers Frankfurt"
}
]
}
],
"meta": {
"request_id": "3645c7ef-b9c7-441d-be35-f61f112e59c6"
}
}
Status
List maintenance windows
Scheduled, running and recently completed maintenance windows (cancelled ones are left out). Not paginated.
Permission: modules.status.read
GET
/
application
/
modules
/
status
/
maintenances
List maintenance windows
curl --request GET \
--url https://{domain}/api/application/modules/status/maintenances \
--header 'Authorization: Bearer <token>'import requests
url = "https://{domain}/api/application/modules/status/maintenances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{domain}/api/application/modules/status/maintenances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{domain}/api/application/modules/status/maintenances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{domain}/api/application/modules/status/maintenances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{domain}/api/application/modules/status/maintenances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{domain}/api/application/modules/status/maintenances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 10,
"title": "Network upgrade",
"description": "Core switches are upgraded. Expect two short interruptions.",
"status": "scheduled",
"state": "upcoming",
"impact": "minor",
"starts_at": "2026-11-18T02:00:00Z",
"ends_at": "2026-11-18T04:00:00Z",
"affects_all_components": false,
"components": [
{
"id": 1,
"label": "Game servers Frankfurt"
}
]
}
],
"meta": {
"request_id": "3645c7ef-b9c7-441d-be35-f61f112e59c6"
}
}
Authorizations
Query Parameters
Was this page helpful?

